name: prasule
description: Open-source private expense tracker

version: 1.1.0+7

environment:
  sdk: '>=3.1.0-262.2.beta <4.0.0'

# Dependencies specify other packages that your package needs in order to work.
# To automatically upgrade your package dependencies to the latest versions
# consider running `flutter pub upgrade --major-versions`. Alternatively,
# dependencies can be manually updated by changing the version numbers below to
# the latest version available on pub.dev. To see which dependencies have newer
# versions available, run `flutter pub outdated`.
dependencies:
  archive: ^3.4.10
  cupertino_icons: ^1.0.2
  currency_picker: ^2.0.16
  dio: ^5.3.0
  dynamic_color: ^1.6.6
  fl_chart: ^0.66.0
  flex_color_picker: ^3.3.0
  flutter:
    sdk: flutter
  flutter_file_dialog: ^3.0.2
  flutter_iconpicker: <3.4.0
  flutter_localizations:
    sdk: flutter
  flutter_slidable: ^3.0.0
  flutter_speed_dial: ^7.0.0
  flutter_tesseract_ocr: ^0.4.23
  fluttertoast: ^8.2.4
  grouped_list: ^5.1.2
  intl: any
  introduction_screen: ^3.1.11
  json_annotation: ^4.8.1
  json_serializable: ^6.7.1
  logger: ^2.0.0
  path_provider: ^2.0.15
  settings_ui: ^2.0.2
  shared_preferences: ^2.2.2
  url_launcher: ^6.2.4
  wheel_chooser: ^1.1.2

dev_dependencies:
  build_runner: ^2.4.6
  flutter_launcher_icons: ^0.13.1

  # The "flutter_lints" package below contains a set of recommended lints to
  # encourage good coding practices. The lint set provided by the package is
  # activated in the `analysis_options.yaml` file located at the root of your
  # package. See that file for information about deactivating specific lint
  # rules and activating additional ones.
  flutter_lints: ^3.0.0
  flutter_test:
    sdk: flutter
  integration_test:
    sdk: flutter
  test: ^1.24.6
  very_good_analysis: ^5.1.0
  yaml: ^3.1.2

flutter_launcher_icons:
  android: true
  ios: true
  image_path: "assets/icon/full_ico.png"
  min_sdk_android: 21 # android min sdk min:16, default 21
  adaptive_icon_background: "#2ce086"
  adaptive_icon_foreground: "assets/icon/dynamic_foreground.png"
  remove_alpha_ios: true
  # web:
  #   generate: true
  #   background_color: "#2fe288"
  #   theme_color: "#2fe288"
  # windows:
  #   generate: true
  #   icon_size: 48 # min:48, max:256, default: 48
  # macos:
  #   generate: true

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec
# The following section is specific to Flutter packages.
flutter:
  generate: true
  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true
  assets:
    - assets/tessdata_config.json
    - assets/tessdata/eng.traineddata
    - assets/icon/full_ico.png
  # To add assets to your application, add an assets section, like this:
  # assets:
  #   - images/a_dot_burr.jpeg
  #   - images/a_dot_ham.jpeg
  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware
  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages
  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
